let table;
let url =
  'https://raw.githubusercontent.com/Ahuynh111/gist-practice/main/PokemonAttack%20-%20Sheet1.csv';

var generations = [
  'Gen1',
  'Gen2',
  'Gen3',
  'Gen4',
  'Gen5',
  'Gen6',
];

function preload() {
  table = loadTable(url, 'csv', 'header');
}

function setup() {
  // put setup code here
  createCanvas(725, 700);
  Bug = table.getColumn('Bug');
  Dark = table.getColumn('Dark');
  Fire = table.getColumn('Fire');
  Grass = table.getColumn('Grass');
  Ground = table.getColumn('Ground');
  Normal = table.getColumn('Normal');
  Water = table.getColumn('Water');
}

function draw() {
  background(230);

  //table of colors
  fill(0, 0, 0);
  text('0-20', 600, 75);
  fill(243, 229, 245);
  rect(650, 50, 50, 50);

  fill(0, 0, 0);
  text('20-40', 600, 125);
  fill(206, 147, 216);
  rect(650, 100, 50, 50);

  fill(0, 0, 0);
  text('40-60', 600, 175);
  fill(186, 104, 200);
  rect(650, 150, 50, 50);

  fill(0, 0, 0);
  text('60-80', 600, 225);
  fill(171, 71, 188);
  rect(650, 200, 50, 50);

  fill(0, 0, 0);
  text('80-100', 600, 275);
  fill(142, 36, 170);
  rect(650, 250, 50, 50);

  fill(0, 0, 0);
  text('100+', 600, 325);
  fill(106, 27, 154);
  rect(650, 300, 50, 50);

  //Bug
  fill(0, 0, 0);
  text('Bug', 50, 125);
  for (i = 0; i < Bug.length; i++) {
    if (Bug[i] >= 0 && Bug[i] <= 20) {
      fill(243, 229, 245);
    } else if (Bug[i] > 20 && Bug[i] <= 40) {
      fill(206, 147, 216);
    } else if (Bug[i] > 40 && Bug[i] <= 60) {
      fill(186, 104, 200);
    } else if (Bug[i] > 60 && Bug[i] <= 80) {
      fill(171, 71, 188);
    } else if (Bug[i] > 80 && Bug[i] <= 100) {
      fill(142, 36, 170);
    } else if (Bug[i] > 100) {
      fill(106, 27, 154);
    }
    rect(100 + i * 60, 100, 50, 50);
  }

  //Dark
  fill(0, 0, 0);
  text('Dark', 50, 185);
  for (i = 0; i < Dark.length; i++) {
    if (Dark[i] >= 0 && Dark[i] <= 20) {
      fill(243, 229, 245);
    } else if (Dark[i] > 20 && Dark[i] <= 40) {
      fill(206, 147, 216);
    } else if (Dark[i] > 40 && Dark[i] <= 60) {
      fill(186, 104, 200);
    } else if (Dark[i] > 60 && Dark[i] <= 80) {
      fill(171, 71, 188);
    } else if (Dark[i] > 80 && Dark[i] <= 100) {
      fill(142, 36, 170);
    } else if (Dark[i] > 100) {
      fill(106, 27, 154);
    }
    rect(100 + i * 60, 160, 50, 50);
  }

  //Fire
  fill(0, 0, 0);
  text('Fire', 50, 245);
  for (i = 0; i < Fire.length; i++) {
    if (Fire[i] >= 0 && Fire[i] <= 20) {
      fill(243, 229, 245);
    } else if (Fire[i] > 20 && Fire[i] <= 40) {
      fill(206, 147, 216);
    } else if (Fire[i] > 40 && Fire[i] <= 60) {
      fill(186, 104, 200);
    } else if (Fire[i] > 60 && Fire[i] <= 80) {
      fill(171, 71, 188);
    } else if (Fire[i] > 80 && Fire[i] <= 100) {
      fill(142, 36, 170);
    } else if (Fire[i] > 100) {
      fill(106, 27, 154);
    }
    rect(100 + i * 60, 220, 50, 50);
  }

  //Grass
  fill(0, 0, 0);
  text('Grass', 50, 305);
  for (i = 0; i < Grass.length; i++) {
    if (Grass[i] >= 0 && Grass[i] <= 20) {
      fill(243, 229, 245);
    } else if (Grass[i] > 20 && Grass[i] <= 40) {
      fill(206, 147, 216);
    } else if (Grass[i] > 40 && Grass[i] <= 60) {
      fill(186, 104, 200);
    } else if (Grass[i] > 60 && Grass[i] <= 80) {
      fill(171, 71, 188);
    } else if (Grass[i] > 80 && Grass[i] <= 100) {
      fill(142, 36, 170);
    } else if (Grass[i] > 100) {
      fill(106, 27, 154);
    }
    rect(100 + i * 60, 280, 50, 50);
  }

  //Ground
  fill(0, 0, 0);
  text('Ground', 50, 365);
  for (i = 0; i < Ground.length; i++) {
    if (Ground[i] >= 0 && Ground[i] <= 20) {
      fill(243, 229, 245);
    } else if (Ground[i] > 20 && Ground[i] <= 40) {
      fill(206, 147, 216);
    } else if (Ground[i] > 40 && Ground[i] <= 60) {
      fill(186, 104, 200);
    } else if (Ground[i] > 60 && Ground[i] <= 80) {
      fill(171, 71, 188);
    } else if (Ground[i] > 80 && Ground[i] <= 100) {
      fill(142, 36, 170);
    } else if (Ground[i] > 100) {
      fill(106, 27, 154);
    }
    rect(100 + i * 60, 340, 50, 50);
  }

  //Normal
  fill(0, 0, 0);
  text('Normal', 50, 425);
  for (i = 0; i < Normal.length; i++) {
    if (Normal[i] >= 0 && Normal[i] <= 20) {
      fill(243, 229, 245);
    } else if (Normal[i] > 20 && Normal[i] <= 40) {
      fill(206, 147, 216);
    } else if (Normal[i] > 40 && Normal[i] <= 60) {
      fill(186, 104, 200);
    } else if (Normal[i] > 60 && Normal[i] <= 80) {
      fill(171, 71, 188);
    } else if (Normal[i] > 80 && Normal[i] <= 100) {
      fill(142, 36, 170);
    } else if (Normal[i] > 100) {
      fill(106, 27, 154);
    }
    rect(100 + i * 60, 400, 50, 50);
  }

  //Water
  fill(0, 0, 0);
  text('Water', 50, 485);
  for (i = 0; i < Water.length; i++) {
    if (Water[i] >= 0 && Water[i] <= 20) {
      fill(243, 229, 245);
    } else if (Water[i] > 20 && Water[i] <= 40) {
      fill(206, 147, 216);
    } else if (Water[i] > 40 && Water[i] <= 60) {
      fill(186, 104, 200);
    } else if (Water[i] > 60 && Water[i] <= 80) {
      fill(171, 71, 188);
    } else if (Water[i] > 80 && Water[i] <= 100) {
      fill(142, 36, 170);
    } else if (Water[i] > 100) {
      fill(106, 27, 154);
    }
    rect(100 + i * 60, 460, 50, 50);
  }

  //x axis
  fill(0, 0, 0);
  for (i = 0; i < generations.length; i++) {
    text(generations[i], 105 + i * 60, 530);
  }

  //title
  text('Average Attack Across Generations', 200, 50);
}
